> For the complete documentation index, see [llms.txt](https://firstoken.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://firstoken.gitbook.io/api-docs/api-reference/proxy/allowed-headers.md).

# Allowed Headers

In Proxy these are the accepted headers

<table><thead><tr><th width="170.33333333333331">Name</th><th width="357">Description</th><th>Type</th></tr></thead><tbody><tr><td>ft-url-destiny</td><td>URL which proxy API will send the request after replace the token values. The destination URL will serve as the base URL for the proxy request, this URL will be the URL that the proxy API will send the request after replace the token values.</td><td>Required</td></tr><tr><td>ft-access-key</td><td><p>Header containing the API key previously generated from the Firstoken portal. </p><p>This header is used to authenticate the request.</p></td><td>Required</td></tr><tr><td>ft-headers</td><td>JSON value with the headers that proxy have to add to the request. For example, can be added authorization headers in this field.</td><td>Optional</td></tr><tr><td>ft-encryption</td><td>JSON value with the properties required to apply an encryption in the selected values. The json must contain the properties: key with the RSA key, type with the encryption algorithm, is_partial with the true/false value.</td><td>Optional</td></tr><tr><td>ft-keep-response-format</td><td><p></p><p>Determines if the third-party response format should be preserved.</p><ul><li>true: Returns the raw response from the provider.</li><li>false (default): Returns the standard response normalized by the proxy.</li></ul></td><td>Optional</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/proxy/allowed-headers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
